Consultas Overpass recurrentes para hacer modificaciones masivas de etiquetas.

Obtener el resultado de una consulta desde un fichero:
```sh
wget -O <output_filename>.$(date +%F).osm --post-file=<query_filename> "https://overpass-api.de/api/interpreter"
```

El script `bin/overpass` puede ejecutarse para ejecutar las queries de los archivos *ql* existentes. Acepta también cómo parametros el ámbito geográfico, o varios de ellos, sobre los que se quiere ejecutar la query.
Para ejecutarlo, simplemente:
```sh
./bin/overpass <query_overpass>.ql -p [<id_geo>],[<id_geo>] ...
```
El script se puede ejecutar con las siguientes opciones:
```sh
-p: Ámbito geográfico. Puede estar separado por comas, si no se especifica ninguno, el área de búsqueda es ['ISO3166-1'=ES]
-t: Timeout de la consulta (default: 900)
-s: Servidor overpass (default: https://overpass-api.de/api/interpreter)
-w: Tiempo entre reintentos (default: 60)
-a: Expresión que se usará como área de búsqueda, con corchetes (igual que -p pero específico para comunidades y provincias). Ej: [name=Matarrosa][admin_level=8]
-n: Nombre del archivo resultante (default <filename>.osm)

```

También se pueden encadenar multitud de queries seguidas, dejando cada una dentro de la carpeta `batch` (El tiempo entre queries es para no sobrecargar la API de overpass). Ejemplo:
```sh
for i in batch/*; do ./bin/overpass $i ES; sleep 30; done;
```

Junto a la tabla de debajo, existen una serie de _presets_ para evitar escribir todos los identificadores
- `-p CCAA`, que es lo mismo que escribir: `-p AN,AR,AS,CB,CE,CL,CM,CN,CT,EX,GA,IB,MC,MD,ML,NC,PV,RI,VC`
- `-p PROV`, que es lo mismo que escribir: `-p A,AB,AL,AV,B,BA,BI,BU,C,CA,CC,CO,CR,CS,CU,GC,GI,GR,GU,H,HU,J,L,LE,LO,LU,M,MA,MU,NA,O,OR,P,PM,PO,S,SA,SE,SG,SO,SS,T,TE,TF,TO,V,VA,VI,Z,ZA`

Listado de identificadores geográficos:

|                   name | ISO3166-2 |                 name | ISO3166-2 |   name | ISO3166-1 |
|-----------------------:|-----------|---------------------:|-----------|-------:|-----------|
|     Alacant / Alicante | A         |            Andalucía | AN        | España | ES        |
|               Albacete | AB        |               Aragón | AR        |        |           |
|                Almería | AL        |  Asturias / Asturies | AS        |        |           |
|                  Ávila | AV        |            Cantabria | CB        |        |           |
|              Barcelona | B         |                Ceuta | CE        |        |           |
|                Badajoz | BA        |      Castilla y León | CL        |        |           |
|                Bizkaia | BI        |   Castilla-La Mancha | CM        |        |           |
|                 Burgos | BU        |             Canarias | CN        |        |           |
|               A Coruña | C         |            Catalunya | CT        |        |           |
|                  Cádiz | CA        |          Extremadura | EX        |        |           |
|                Cáceres | CC        |              Galicia | GA        |        |           |
|                Córdoba | CO        |        Illes Balears | IB        |        |           |
|            Ciudad Real | CR        |     Región de Murcia | MC        |        |           |
|   Castelló / Castellón | CS        |  Comunidad de Madrid | MD        |        |           |
|                 Cuenca | CU        |              Melilla | ML        |        |           |
|             Las Palmas | GC        |   Navarra - Nafarroa | NC        |        |           |
|                 Girona | GI        |              Euskadi | PV        |        |           |
|                Granada | GR        |             La Rioja | RI        |        |           |
|            Guadalajara | GU        | Comunitat Valenciana | VC        |        |           |
|                 Huelva | H         |                      |           |        |           |
|                 Huesca | HU        |                      |           |        |           |
|                   Jaén | J         |                      |           |        |           |
|                 Lleida | L         |                      |           |        |           |
|                   León | LE        |                      |           |        |           |
|               La Rioja | LO        |                      |           |        |           |
|                   Lugo | LU        |                      |           |        |           |
|    Comunidad de Madrid | M         |                      |           |        |           |
|                 Málaga | MA        |                      |           |        |           |
|       Región de Murcia | MU        |                      |           |        |           |
|     Navarra - Nafarroa | NA        |                      |           |        |           |
|    Asturias / Asturies | O         |                      |           |        |           |
|                Ourense | OR        |                      |           |        |           |
|               Palencia | P         |                      |           |        |           |
|          Illes Balears | PM        |                      |           |        |           |
|             Pontevedra | PO        |                      |           |        |           |
|              Cantabria | S         |                      |           |        |           |
|              Salamanca | SA        |                      |           |        |           |
|                Sevilla | SE        |                      |           |        |           |
|                Segovia | SG        |                      |           |        |           |
|                  Soria | SO        |                      |           |        |           |
|               Gipuzkoa | SS        |                      |           |        |           |
|              Tarragona | T         |                      |           |        |           |
|                 Teruel | TE        |                      |           |        |           |
| Santa Cruz de Tenerife | TF        |                      |           |        |           |
|                 Toledo | TO        |                      |           |        |           |
|    València / Valencia | V         |                      |           |        |           |
|             Valladolid | VA        |                      |           |        |           |
|            Araba/Álava | VI        |                      |           |        |           |
|               Zaragoza | Z         |                      |           |        |           |
|                 Zamora | ZA        |                      |           |        |           |
