async function find_population(arr) {
  function partition(arr = [], condition = () => {}) {
    return arr.reduce(([pass, fail], elem) => (condition(elem) ? [[...pass, elem], fail] : [pass, [...fail, elem]]), [[], []])
  }

  function groupBy(data, key) {
    return data.reduce((acc, x) => {
      const cat = key instanceof Function ? key(x) : x[key];
      (acc[cat] = acc[cat] || []).push(x);
      return acc;
    }, {})
  };

  async function wd(id) {
    try {
      const {
        claims: {
          "P1082": [{
            mainsnak: {
              datavalue: {
                value: {
                  amount
                } = {}
              } = {}
            } = {},
            qualifiers: {
              "P585": [{
                datavalue: {
                  value: {
                    time = ""
                  } = {}
                } = {}
              } = {}] = []
            } = {}
          } = {}] = []
        } = {}
      } = await fetch(`https://www.wikidata.org/w/api.php?action=wbgetclaims&format=json&entity=${id}&property=P1082&rank=preferred`).then(r => r.json());
      return [id, [amount, time]];
    } catch (e) {
      return [id, e];
    }
  }

  const ERROR_TYPES = {
    0: "Población no encontrada en wikidata",
    1: "Error en el parseo de la fecha"
  }
  const response = await Promise.all(arr.map(wd))

  // raw
  // console.log(JSON.stringify(response))

  const [good, bad] = partition(response.map(([k, [a, b]]) => [k, [+a, +b.slice(1,5)]]), ([, props]) => props.every(x => !!x))
  console.log("\n\n");
  console.log(JSON.stringify(Object.fromEntries(good)))
  console.log("\nCorrectos: ", good.length);
  console.log("Incorrectos: ", bad.length);

  const errors = Object.entries(groupBy(bad, ([, props]) => props.findIndex(x => !x)))
  errors.map(([ix, error]) => console.log(`\n${ERROR_TYPES[ix]}: `, error.map(([a]) => `https://www.wikidata.org/wiki/${a}`)))

  return Object.fromEntries(good)
}

const [, , ...items] = process.argv
find_population(items);
