/**
 * Uso:
 * 
 * $ mapfile -t < fichero_con_wikipedias
 * $ node fixes/find_wikidata.js es "${MAPFILE[@]}"
 */
async function find_wikidata(data, lang = "es") {
  const chunk = (arr = [], size = 1) => {
    const results = [];
    while (arr.length) {
      results.push(arr.splice(0, size));
    }
    return results;
  };

  const blocks = chunk(data, 50).map(items => `https://${lang}.wikipedia.org/w/api.php?action=query&prop=pageprops&ppprop=wikibase_item&redirects=1&format=json&titles=${items.join("|")}`);
  const responses = await Promise.all(blocks.map(x => fetch(x).then(r => r.json())));

  const result = responses.reduce((acc, { query: { pages } }) => ({ ...acc, ...Object.values(pages).reduce((acc, x, j) => ({ ...acc, [`${lang}:${x.title}`]: x.pageprops?.wikibase_item }), {}) }), {})
  console.log(JSON.stringify(result));

  return result
}

const [, , lang, ...items] = process.argv;
find_wikidata(items, lang);
