async function find_wikipedia(data, lang = "es") {
  const chunk = (arr = [], size = 1) => {
    const results = [];
    while (arr.length) {
      results.push(arr.splice(0, size));
    }
    return results;
  };

  const blocks = chunk(data, 50).map(items => `https://www.wikidata.org/w/api.php?action=wbgetentities&ids=${items.join("|")}&format=json&props=sitelinks&sitefilter=${lang}wiki`);
  const responses = await Promise.all(blocks.map(x => fetch(x).then(r => r.json())));

  const transformChunk = ({ entities }) => Object.entries(entities);
  const getName = ([k,o]) => [k, o.sitelinks?.[`${lang}wiki`]?.title && `${lang}:${o.sitelinks?.[`${lang}wiki`]?.title}` ];

  const result = Object.fromEntries(responses.flatMap(transformChunk).map(getName))
  console.log(JSON.stringify(result));

  return result
}

const [, , lang, ...items] = process.argv;
find_wikipedia(items, lang);
