import layers from 'josm/layers'
import { buildChangeCommand } from 'josm/command'

function capitalize (str) {
  return str && str.charAt(0).toUpperCase() + str.slice(1)
}

function setUppercase () {
  const layer = layers.activeLayer
  if (layer == null) return

  const op = Java.type('javax.swing.JOptionPane')
  const selection = layer.data.getSelected().toArray()
  if (!selection.length) return

  const tags = selection.reduce((acc, elem) => { elem.getKeys().keySet().forEach(x => acc.add(x)); return acc }, new Set())

  const tag = op.showInputDialog(null, 'Choose tag to set uppercase', '', op.QUESTION_MESSAGE, null, tags, tags[0])
  if (tag === null) return

  for (let i = 0; i < selection.length; i++) {
    const element = selection[i]
    const { [tag]: key } = element.getKeys()

    if (key) {
      buildChangeCommand(element, { tags: { [tag]: capitalize(key) } }).applyTo(layer)
    }
  }
}

setUppercase()
